package POJO;

public class Price {
    private double price;
    private String unit;

    //Constructors
    public Price(double price, String unit) {
        this.price = price;
        this.unit = unit;
    }

    public Price(double price) {
        this(price, "€");
    }

    public Price(int price) {
        this((double) price, "€");
    }

    public Price() {
        this(0, "€");
    }

    //Getters and Setters
    public double getPrice() {
        return price;
    }

    public void setPrice(float price) {
        this.price = price;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    //Round Methods
    public void roundCents() {
     this.price = (double) this.price - (this.price % 0.01);
    }
}
